%global momorel 1
%global qtver 3.3.5
%global kdever 3.5.4
%global kdelibsrel 1m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0

Name: kdewebdev
Summary: Web development tools for KDE
Version: %{kdever}
Release: %{momorel}m
Group: Development/Tools
License: GPL
URL: http://kdewebdev.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 310a40555c089e88cc5ff7620a89b444
## mirror site in Japan.
# %%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 310a40555c089e88cc5ff7620a89b444
# document
Source1: http://telia.dl.sourceforge.net/sourceforge/%{name}/css.tar.bz2
Source2: http://telia.dl.sourceforge.net/sourceforge/%{name}/html.tar.bz2
Source3: http://telia.dl.sourceforge.net/sourceforge/%{name}/php_manual_en_20030401.tar.bz2
Source4: http://telia.dl.sourceforge.net/sourceforge/%{name}/javascript.tar.bz2
Patch0: javascript.patch
# use mozilla and w3m instead of netscap and lynx as preview browser
Patch10: momonga-quanta-3.1.1-preview-browser.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: quanta
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: libxml2-devel >= 2.6, libxslt-devel
BuildPreReq: desktop-file-utils

%description
Web development tools for the K Desktop Environment, including

  quanta, an HTML editor 
  kfilereplace, multi file mutli line find and replace
  klinkstatus, 
  kimagemapeditor, a imagemap editor
  kommander, a dialog builder and executor
  kxsldbg, etc.
  
Especially, Quanta Plus (http://quanta.sourceforge.net/) is an HTML editor 
for the K Desktop Environment. This program is designed for quick Web 
development. Its objective is to produce a complete Web development 
environment for active development with a focus on supporting professional 
level development. This means full HTML 4.0 support including cascading style 
sheets and lots of time saving features. 

%prep
%setup -q -a 1 -a 2 -a 3 -a 4

%patch0 -p0 -b .javascript

# use mozilla and w3m instead of netscap and lynx as preview browser
# %%patch10 -p1 -b .preview-browser~

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CFLAGS="%{optflags} -DNDEBUG -UDEBUG -D_GNU_SOURCE"
export CXXFLAGS="$CFLAGS -fno-use-cxa-atexit"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-dir=%{qtdir} \
	--with-qt-includes=%{qtdir}/include \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--with-kommander \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags} KDE_NO_UNDEFINED="-Wl,--allow-shlib-undefined"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make transform='s,x,x,' DESTDIR=%{buildroot} install

# install docs
for i in css html javascript ; do
   pushd $i
   ./install.sh <<EOF
%{buildroot}%{_datadir}/apps/quanta/doc
EOF
   popd
   rm -rf $i
done

cp -R php php.docrc %{buildroot}%{_datadir}/apps/quanta/doc

# fix dangling symlinks
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done
popd

# install desktop file (revise kmdr-executor.desktop)
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applnk/.hidden \
  --add-category WebDevelopment \
  --add-category Development \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/.hidden/kmdr-executor.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL* NEWS PACKAGING README TODO
%{_bindir}/kfilereplace
%{_bindir}/kimagemapeditor
%{_bindir}/klinkstatus
%{_bindir}/kmdr-editor
%{_bindir}/kmdr-executor
%{_bindir}/kmdr-plugins
%{_bindir}/kxsldbg
%{_bindir}/quanta
%{_bindir}/xsldbg
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/kafkapart
%{_datadir}/apps/kfilereplace
%{_datadir}/apps/kfilereplacepart
%{_datadir}/apps/kimagemapeditor
%{_datadir}/apps/klinkstatus
%{_datadir}/apps/klinkstatuspart
%{_datadir}/apps/kmdr-editor
%{_datadir}/apps/kxsldbg
%{_datadir}/apps/kxsldbgpart
%{_datadir}/apps/quanta
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/kfilereplace
%{_datadir}/doc/HTML/en/klinkstatus
%{_datadir}/doc/HTML/en/kommander
%{_datadir}/doc/HTML/en/kxsldbg
%{_datadir}/doc/HTML/en/quanta
%{_datadir}/doc/HTML/en/xsldbg
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%{_includedir}/*.h
%{_libdir}/*.so.?

%changelog
* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-3m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Fri Dec  2 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.5.0-2m)
- revise kmdr-executor.desktop for GNOME
- BuildPreReq: desktop-file-utils

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- remove gcc4.patch

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- remove kdewebdev-3.4.2-uic.patch

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- import kdewebdev-3.4.2-uic.patch from Fedora Core devel
 +* Thu Sep 22 2005 Than Ngo <than@redhat.com> 6:3.4.2-2
 +- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure
- BuildPreReq: kdesdk-devel

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- import gcc4.patch from Fedora Core
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1
- remove post-3.4.0-kdewebdev-kommander-fixed.diff

* Fri May  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- [SECURITY] update Patch20: post-3.4.0-kdewebdev-kommander(-fixed).diff
  http://kde.org/info/security/advisory-20050504-1.txt

* Sat Apr 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-2m)
- [SECURITY] post-3.4.0-kdewebdev-kommander.diff for "Kommander untrusted code execution"
  http://kde.org/info/security/advisory-20050420-1.txt
- modify %%files section

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Thu Oct 14 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- add KDE_NO_UNDEFINED="-Wl,--allow-shlib-undefined" to build with gcc-3.4

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- import Patch1 from Fedora Core

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- install document of html, php, javascript and css
  (Source1-4 and Patch1)
- temporaly omit Patch0: momonga-quanta-3.1.1-preview-browser.patch (unappliable)

* Tue Jan 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- import to momonga
    HTML Editor
- momonga-quanta-3.1.1-preview-browser.patch(Patch0)
    use mozilla and w3m instead of netscap and lynx as preview browser
